module OW_taper

use OW_parms

implicit none

contains

subroutine owtaper(taper)

integer				:: i
real				:: taper(:)

taper=1.

do i=1,tapertr
   taper(i)=(1+cos(pi*(tapertr-i+1)/tapertr))/2
   taper(size(taper)-i+1)=taper(i)
end do
end subroutine owtaper

end module
